| Home | Libraries | People | FAQ | More

### ip::basic_resolver_entry

An entry produced by a resolver.

    template<
        typename InternetProtocol>
    class basic_resolver_entry

##### Types

Name | Description
--- | ---
endpoint_type | The endpoint type associated with the endpoint entry.
protocol_type | The protocol type associated with the endpoint entry.

##### Member Functions

Name | Description
--- | ---
basic_resolver_entry | Default constructor.
endpoint | Get the endpoint associated with the entry.
host_name | Get the host name associated with the entry.
operator endpoint_type | Convert to the endpoint associated with the entry.
service_name | Get the service name associated with the entry.

The ip::basic_resolver_entry class template describes an entry as returned by a resolver.

##### Thread Safety

Distinct objects: Safe.

Shared objects: Unsafe.